package com.qmth.sop.business.bean.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.HeadFontStyle;
import com.alibaba.excel.annotation.write.style.HeadStyle;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 考勤提交批量导出对象
 * @Author: CaoZixuan
 * @Date: 2023-08-29
 */
@ColumnWidth(value = 30)
@HeadStyle(fillForegroundColor = 11)
@HeadFontStyle(color = 1)
public class DingSubmitExportDto {
    @ExcelProperty(value = "服务单元")
    @ApiModelProperty(value = "服务单元")
    private String serviceUnitName;

    @ExcelProperty(value = "sop流水号")
    @ApiModelProperty(value = "sop流水号")
    private String sopNo;

    @ExcelProperty(value = "客户名称")
    @ApiModelProperty(value = "客户名称")
    private String customName;

    @ExcelProperty(value = "省份")
    @ApiModelProperty(value = "省份")
    private String province;

    @ExcelProperty(value = "城市")
    @ApiModelProperty(value = "城市")
    private String city;

    @ExcelProperty(value = "进场时间")
    @ApiModelProperty(value = "进场时间")
    private String approachTime;

    @ExcelProperty(value = "撤场时间")
    @ApiModelProperty(value = "撤场时间")
    private String departureTime;

    @ExcelProperty(value = "姓名（人员档案号）")
    @ApiModelProperty(value = "姓名（人员档案号）")
    private String archivesInfo;

    @ExcelProperty(value = "项目角色")
    @ApiModelProperty(value = "项目角色")
    private String roleType;

    @ExcelProperty(value = "供应商")
    @ApiModelProperty(value = "供应商")
    private String supplierName;

    @ExcelProperty(value = "实际出勤（天）")
    @ApiModelProperty(value = "实际出勤（天）")
    private Integer actualDays;

    @ExcelProperty(value = "工作日（天）")
    @ApiModelProperty(value = "工作日（天）")
    private Integer weekdays;

    @ExcelProperty(value = "周末（天）")
    @ApiModelProperty(value = "周末（天）")
    private Integer weekends;

    @ExcelProperty(value = "法定节假日（天）")
    @ApiModelProperty(value = "法定节假日（天）")
    private Integer legalHolidays;

    @ExcelProperty(value = "累计工时（小时）")
    @ApiModelProperty(value = "累计工时（小时）")
    private Double workHours;

    @ExcelProperty(value = "违规工时（天）")
    @ApiModelProperty(value = "违规工时（天）")
    private Double violationDays;

    @ExcelProperty(value = "考勤异常数")
    @ApiModelProperty(value = "考勤异常数")
    private Integer dingExceptionCount;

    @ExcelProperty(value = "剩余补卡次数")
    @ApiModelProperty(value = "剩余补卡次数")
    private Integer remainCount;

    @ExcelProperty(value = "待处理异常数")
    @ApiModelProperty(value = "待处理异常数")
    private Integer exceptionCount;

    @ExcelProperty(value = "提交状态")
    @ApiModelProperty(value = "提交状态")
    private String submitStatus;

    @ExcelProperty(value = "提交人")
    @ApiModelProperty(value = "提交人")
    private String submitUserName;

    @ExcelProperty(value = "提交时间")
    @ApiModelProperty(value = "提交时间")
    private String submitTime;

    public String getServiceUnitName() {
        return serviceUnitName;
    }

    public void setServiceUnitName(String serviceUnitName) {
        this.serviceUnitName = serviceUnitName;
    }

    public String getSopNo() {
        return sopNo;
    }

    public void setSopNo(String sopNo) {
        this.sopNo = sopNo;
    }

    public String getCustomName() {
        return customName;
    }

    public void setCustomName(String customName) {
        this.customName = customName;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getApproachTime() {
        return approachTime;
    }

    public void setApproachTime(String approachTime) {
        this.approachTime = approachTime;
    }

    public String getDepartureTime() {
        return departureTime;
    }

    public void setDepartureTime(String departureTime) {
        this.departureTime = departureTime;
    }

    public String getArchivesInfo() {
        return archivesInfo;
    }

    public void setArchivesInfo(String archivesInfo) {
        this.archivesInfo = archivesInfo;
    }

    public String getRoleType() {
        return roleType;
    }

    public void setRoleType(String roleType) {
        this.roleType = roleType;
    }

    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }

    public Integer getActualDays() {
        return actualDays;
    }

    public void setActualDays(Integer actualDays) {
        this.actualDays = actualDays;
    }

    public Integer getWeekdays() {
        return weekdays;
    }

    public void setWeekdays(Integer weekdays) {
        this.weekdays = weekdays;
    }

    public Integer getWeekends() {
        return weekends;
    }

    public void setWeekends(Integer weekends) {
        this.weekends = weekends;
    }

    public Integer getLegalHolidays() {
        return legalHolidays;
    }

    public void setLegalHolidays(Integer legalHolidays) {
        this.legalHolidays = legalHolidays;
    }

    public Double getWorkHours() {
        return workHours;
    }

    public void setWorkHours(Double workHours) {
        this.workHours = workHours;
    }

    public Double getViolationDays() {
        return violationDays;
    }

    public void setViolationDays(Double violationDays) {
        this.violationDays = violationDays;
    }

    public Integer getDingExceptionCount() {
        return dingExceptionCount;
    }

    public void setDingExceptionCount(Integer dingExceptionCount) {
        this.dingExceptionCount = dingExceptionCount;
    }

    public Integer getRemainCount() {
        return remainCount;
    }

    public void setRemainCount(Integer remainCount) {
        this.remainCount = remainCount;
    }

    public Integer getExceptionCount() {
        return exceptionCount;
    }

    public void setExceptionCount(Integer exceptionCount) {
        this.exceptionCount = exceptionCount;
    }

    public String getSubmitStatus() {
        return submitStatus;
    }

    public void setSubmitStatus(String submitStatus) {
        this.submitStatus = submitStatus;
    }

    public String getSubmitUserName() {
        return submitUserName;
    }

    public void setSubmitUserName(String submitUserName) {
        this.submitUserName = submitUserName;
    }

    public String getSubmitTime() {
        return submitTime;
    }

    public void setSubmitTime(String submitTime) {
        this.submitTime = submitTime;
    }
}
